uk.gov.hmrc.mongo

# metrix

#### package metrix

Visibility

1. Public
2. All

### Type Members

1. #### final case class CachedMetricGauge(name: String, lookupValue: (String) ⇒ Int) extends Gauge[Int] with Product with Serializable

2. #### trait MetricOrchestrationResult extends AnyRef

3. #### class MetricOrchestrator extends AnyRef

4. #### trait MetricRepository extends AnyRef

   Annotations
     @ImplementedBy()

5. #### trait MetricSource extends AnyRef

   A source of metrics to collect from your application

6. #### class MongoMetricRepository extends PlayMongoRepository[PersistedMetric] with MetricRepository with WithThrottling

   Annotations
     @Singleton()

7. #### final case class PersistedMetric(name: String, count: Int) extends Product with Serializable

### Value Members

1. #### object MetricOrchestrationResult

2. #### object PersistedMetric extends Serializable

### Ungrouped